# DefaultCookieSpecProvider.CompatibilityLevel (Apache HttpComponents Client 4.5.14 API)
Date: 2022-11-30

org.apache.http.impl.cookie

## Enum DefaultCookieSpecProvider.CompatibilityLevel

- java.lang.Object
- - java.lang.Enum<DefaultCookieSpecProvider.CompatibilityLevel>
  - - org.apache.http.impl.cookie.DefaultCookieSpecProvider.CompatibilityLevel

All Implemented Interfaces:
  Serializable, Comparable<DefaultCookieSpecProvider.CompatibilityLevel>

Enclosing class:
  DefaultCookieSpecProvider

    public static enum DefaultCookieSpecProvider.CompatibilityLevel
    extends Enum<DefaultCookieSpecProvider.CompatibilityLevel>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DEFAULT`
`IE_MEDIUM_SECURITY`

### Method Summary

Methods
`static DefaultCookieSpecProvider.CompatibilityLevel` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DefaultCookieSpecProvider.CompatibilityLevel[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DEFAULT

    public static final DefaultCookieSpecProvider.CompatibilityLevel DEFAULT

#### IE_MEDIUM_SECURITY

    public static final DefaultCookieSpecProvider.CompatibilityLevel IE_MEDIUM_SECURITY

### Method Detail

#### values

    public static DefaultCookieSpecProvider.CompatibilityLevel[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DefaultCookieSpecProvider.CompatibilityLevel c : DefaultCookieSpecProvider.CompatibilityLevel.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DefaultCookieSpecProvider.CompatibilityLevel valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null